Support » Plugin: Shift8 CDN » Error with recent updaet

  • Resolved antflora

    (@antflora)


    I am getting the following error when trying to install/update the latest version:

    Warning: require_once(/home/xxx/xxx/wp-content/plugins/shift8-cdn/components/wp-cli.php): failed to open stream: No such file or directory in /home/xxx/xxx/wp-content/plugins/shift8-cdn/shift8-cdn.php on line 17

Viewing 6 replies - 1 through 6 (of 6 total)
  • I’ve got the same error.
    I cannot access my Word Press account or website because of it.
    Going crazy at the moment.
    I’ve tried on the Shift 8 support forum but no answer yet so trying here.
    Hopefully someone, somewhere will respond with something that makes sense and sorts the problem.
    My website url: https://slum-city.com

    • This reply was modified 6 months, 2 weeks ago by slum64.
    Plugin Author shift8

    (@shift8)

    Hello,

    There was an issue with a file not committing to wordpress’ SVN system for plugin updates.

    To temporarily resolve the issue you can either do one of three things :

    1. Remove the plugin folder wp-content/plugins/shift8-cdn and re-install from scratch

    2. Edit the file wp-content/plugins/shift8-cdn/shift8-cdn.php and comment line 17 out.

    So line 17 :

    require_once(plugin_dir_path(__FILE__).'components/wp-cli.php' );

    Becomes :

    //require_once(plugin_dir_path(__FILE__).'components/wp-cli.php' );

    3. Download the latest version (1.48) and overwrite the entire wp-content/plugins/shift8-cdn folder with the downloaded copy

    Plugin Author shift8

    (@shift8)

    Apologies for this issue but the above options to resolve should fix it for everyone. No idea why the file did not commit to WordPress SVN , we will look into that further.

    Just thought I’d write this incase anyone reads it! Shift 8 support got back to me and help to solve the problem! The guy was excellent. Knew what he was talking about and was really patient with my novice computer skills! Another thumbs up for Shift 8 from me. Things go wrong from time to time and with a lot of companies you feel like you’re left to deal with it on you’re own so it’s nice to know there are still companies around like Shift 8 that actually give a **** if you know what I mean!

    Plugin Author shift8

    (@shift8)

    thank you so much for the kind words! it goes a long way to have appreciation like this. thank you.

    Thread Starter antflora

    (@antflora)

    Late reply, but I disabled the plugin until an update was available. No issues right now, and everything is working great.
    Thanks very much for a great plugin.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Error with recent updaet’ is closed to new replies.